* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: consolas;
}
body{
	background: #19172e;
}
section {
	position: relative;
	width: 100%;
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
}
section::before {
	content: "";
	position: absolute;
	top: 10%;
	right: 20%;
	width: 200px;
	height: 200px;
	border-radius: 10px;
	background: linear-gradient(#f9d924, #ff2c24);
	animation: animate 5s ease-in-out infinite;
}
section::after {
	content: "";
	position: absolute;
	bottom: 80px;
	left: 20%;
	width: 250px;
	height: 250px;
	border-radius: 10px;
	background: linear-gradient(#01d6ff, #0f24f9);
	animation: animate 5s ease-in-out infinite;
}
@keyframes animate {
	0%,
	100% {
		transform: translateY(30px);
	}
	50% {
		transform: translateY(-30px);
	}
}
.clock {
	position: relative;
	width: 700px;
	height: 250px;
	background: rgba(255, 255, 255, 0.05);
	box-shadow: 0 15px 25px rgba(0, 0, 0, 0.1);
	z-index: 1000;
	border-radius: 20px;
	border: 1px solid rgba(255, 255, 255, 0.1);
	backdrop-filter: blur(20px);
}
.clock .container {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100%;
}
.clock .container h2 {
	font-size: 6em;
	color: #fff;
}
.clock .container h2:nth-child(odd) {
	padding: 5px 15px;
	border-radius: 10px;
	background: rgba(255, 255, 255, 0.05);
	box-shadow: 0 15px 25px rgba(0, 0, 0, 0.2);
	margin: 0 10px;
	border-bottom: 1px solid rgba(255, 255, 255, 0.1);
	border-right: 1px solid rgba(255, 255, 255, 0.1);
}
.clock .container h2#seconds {
	color: #f9d524;
}
#ampm {
	position: relative;
	top: -50px;
	font-size: 2em;
	color: #fff;
	font-weight: 700;
}
@media (max-width: 870px){
	section{
		transform: scale(0.6);
	}
}
@media (max-width: 360px){
	section{
		transform: scale(0.4);
	}
}